## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate libmimalloc-sys

Name:           rust-libmimalloc-sys
Version:        0.1.42
Release:        %autorelease
Summary:        Sys crate wrapping the mimalloc allocator

License:        MIT
URL:            https://crates.io/crates/libmimalloc-sys
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

# TODO: get this to build against system mimalloc
# or ask mimalloc dev to switch to mimalloc-sys
# https://github.com/purpleprotocol/mimalloc_rust/issues/73
# use get-bundled-mimalloc-ver.sh after unpacking the crate
Provides:       bundled(mimalloc) = 2.2.3

%global _description %{expand:
Sys crate wrapping the mimalloc allocator.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%license %{crate_instdir}/c_src/mimalloc/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arena-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arena-devel %{_description}

This package contains library source intended for building other packages which
use the "arena" feature of the "%{crate}" crate.

%files       -n %{name}+arena-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cty-devel %{_description}

This package contains library source intended for building other packages which
use the "cty" feature of the "%{crate}" crate.

%files       -n %{name}+cty-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug_in_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug_in_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug_in_debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug_in_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extended-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extended-devel %{_description}

This package contains library source intended for building other packages which
use the "extended" feature of the "%{crate}" crate.

%files       -n %{name}+extended-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local_dynamic_tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local_dynamic_tls-devel %{_description}

This package contains library source intended for building other packages which
use the "local_dynamic_tls" feature of the "%{crate}" crate.

%files       -n %{name}+local_dynamic_tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_thp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_thp-devel %{_description}

This package contains library source intended for building other packages which
use the "no_thp" feature of the "%{crate}" crate.

%files       -n %{name}+no_thp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+override-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+override-devel %{_description}

This package contains library source intended for building other packages which
use the "override" feature of the "%{crate}" crate.

%files       -n %{name}+override-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+secure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+secure-devel %{_description}

This package contains library source intended for building other packages which
use the "secure" feature of the "%{crate}" crate.

%files       -n %{name}+secure-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 24 2025 Michel Lind <salimma@fedoraproject.org> - 0.1.42-1
- Update to 0.1.42; Fixes: RHBZ#2353251

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.39-1
- Update to version 0.1.39; Fixes: RHBZ#2293834

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 31 2024 Michel Lind <salimma@fedoraproject.org> - 0.1.38-1
- Update to 0.1.38 (rhbz#2276528)

* Tue Feb 06 2024 Maxwell G <maxwell@gtmx.me> - 0.1.35-1
- Update to 0.1.35. Fixes rhbz#2234807.

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.33-1
- Update to 0.1.33

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.30-1
- Update to 0.1.30

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.28-1
- Initial Fedora package
## END: Generated by rpmautospec
